> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04c-titiler-api/algorithms.md).

# Algorithms

## Retrieve the list of available Algorithms.

> Retrieve the list of available Algorithms.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/algorithms":{"get":{"tags":["Algorithms"],"summary":"Retrieve the list of available Algorithms.","description":"Retrieve the list of available Algorithms.","operationId":"getAlgorithmList","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":{"$ref":"#/components/schemas/AlgorithmMetadata"},"type":"object","title":"Response Getalgorithmlist"}}}}}}}},"components":{"schemas":{"AlgorithmMetadata":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"inputs":{"additionalProperties":true,"type":"object","title":"Inputs"},"outputs":{"additionalProperties":true,"type":"object","title":"Outputs"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"}},"type":"object","required":["inputs","outputs","parameters"],"title":"AlgorithmMetadata","description":"Algorithm metadata."}}}}
```

## Retrieve the metadata of the specified algorithm.

> Retrieve the metadata of the specified algorithm.

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/algorithms/{algorithmId}":{"get":{"tags":["Algorithms"],"summary":"Retrieve the metadata of the specified algorithm.","description":"Retrieve the metadata of the specified algorithm.","operationId":"getAlgorithm","parameters":[{"name":"algorithmId","in":"path","required":true,"schema":{"enum":["hillshade","slope","contours","normalizedIndex","terrarium","terrainrgb","cast","ceil","floor","min","max","median","mean","std","var"],"type":"string","description":"Algorithm name","title":"Algorithmid"},"description":"Algorithm name"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlgorithmMetadata"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AlgorithmMetadata":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"inputs":{"additionalProperties":true,"type":"object","title":"Inputs"},"outputs":{"additionalProperties":true,"type":"object","title":"Outputs"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"}},"type":"object","required":["inputs","outputs","parameters"],"title":"AlgorithmMetadata","description":"Algorithm metadata."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
